## TODO Machine Learning

### Notes on what goes where

Machine learning practice code goes in a cs/machine-learning repo.
* Code focused principally on concepts in machine learning,
* Code uses scikit-learn and other external libraries 
* Fundamental algorithms go in the Python/respective language repo

Repo has a copy on Github, with an HTML landing page. Or, complements circe.
* HTML landing page with info about each topic.
* Notebook for each overarching topic. 
* Split into multiple notebooks as needed.
* Example might be, notebook to compare ridge and lasso. 



### TODO List

[ ] Bayes Decision Theory
- 05/25
- Books:
	- Alpaydin Introduction to Machine Learning
- Wiki notes:





* Dimensionality Reduction

* Regression

* Regularization

* Classification

* Clustering

* Bayesian 
	* Decision Theory

* Decision Trees

* Association Rules

* Neural Networks

* Deep Learning




- [ ] Regression: linear regression
- [ ] Regression: logistic regression
- [ ] Regression: OLS regression
- [ ] Regression: Stepwise regressoin
- [ ] Regression: MARS
- [ ] Regression: LOESS

- [ ] Instance: k-Nearest Neighbor
- [ ] Instance: Learning Vector Quantization
- [ ] Instance: Self-Organizing Map
- [ ] Instance: Locally Weighted Learning

- [ ] Regularization: Ridge regression
- [ ] Regularization: LASSO
- [ ] Regularization: Elastic net
- [ ] Regularization: LARS

- [ ] Decision Tree: classification tree
- [ ] Decision Tree: CHAID
- [ ] Decision Tree: conditional decision trees

- [ ] Bayesian: LARS
- [ ] Bayesian: Naive Bayes
- [ ] Bayesian: Gaussian Bayes
- [ ] Bayesian: Multinomial Naive Bayes
- [ ] Bayesian: Bayesian Network
- [ ] Bayesian: Bayesian Belief Network

- [ ] Clustering: k-Means
- [ ] Clustering: k-Medians
- [ ] Clustering: Expectation Maximization
- [ ] Clustering: Hierarchical Clustering

- [ ] Dimensionality Reduction: PCA
- [ ] Dimensionality Reduction: t-SNE
- [ ] Dimensionality Reduction: PLS
- [ ] Dimensionality Reduction: Multidimensional Scaling
- [ ] Dimensionality Reduction: Principal Component Regression
- [ ] Dimensionality Reduction: Discriminant Analyses

- [ ] Association Rule: Apriori algorithm

- [ ] Deep Learning: CNN
- [ ] Deep Learning: RNN
- [ ] Deep Learning: LSTM
- [ ] Deep Learning: DBM
- [ ] Deep Learning: DBN
- [ ] Deep Learning: Stacked Auto-Encoders



